Tool: get_goldengate_assignment
Get details for a Goldengate Connection Assignment in a Google Cloud project in the given location.
The following code sample shows how to use curl to call the get_goldengate_assignment MCP tool.
| Curl Request |
|---|
curl --location 'https://oracledatabase.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_goldengate_assignment", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for getting a GoldengateConnectionAssignment.
GetGoldengateConnectionAssignmentRequest
| JSON representation |
|---|
{ "name": string } |
| Fields | |
|---|---|
name |
Required. The name of the GoldengateConnectionAssignment to retrieve. Format: projects/{project}/locations/{location}/goldengateConnectionAssignments/{goldengate_connection_assignment} |
Output Schema
Represents the metadata of a Goldengate Connection Assignment.
GoldengateConnectionAssignment
| JSON representation |
|---|
{
"name": string,
"properties": {
object ( |
| Fields | |
|---|---|
name |
Identifier. The name of the GoldengateConnectionAssignment resource in the following format: projects/{project}/locations/{region}/goldengateConnectionAssignments/{goldengate_connection_assignment} |
properties |
Required. Immutable. The properties of the GoldengateConnectionAssignment. |
createTime |
Output only. The time when the connection assignment was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
labels |
Optional. The labels or tags associated with the GoldengateConnectionAssignment. An object containing a list of |
displayName |
Optional. Immutable. The display name for the GoldengateConnectionAssignment. |
entitlementId |
Output only. The OCID of the entitlement linked to this resource. |
GoldengateConnectionAssignmentProperties
| JSON representation |
|---|
{
"ocid": string,
"goldengateConnection": string,
"goldengateDeployment": string,
"alias": string,
"state": enum ( |
| Fields | |
|---|---|
ocid |
Output only. The OCID of the connection assignment being referenced. |
goldengateConnection |
Required. The GoldengateConnection resource to be assigned. Format: projects/{project}/locations/{location}/goldengateConnections/{goldengate_connection} |
goldengateDeployment |
Required. The GoldenGateDeployment to assign the connection to. Format: projects/{project}/locations/{location}/goldengateDeployments/{goldengate_deployment} |
alias |
Output only. Credential store alias. |
state |
Output only. The lifecycle state of the connection assignment. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
LabelsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
State
Possible lifecycle states for connection assignments.
| Enums | |
|---|---|
STATE_UNSPECIFIED |
Lifecycle state is unspecified. |
CREATING |
Connection assignment is being created. |
ACTIVE |
Connection assignment is active. |
FAILED |
Connection assignment failed. |
UPDATING |
Connection assignment is being updated. |
DELETING |
Connection assignment is being deleted. |
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ❌